event_config(3)

NAME
event_config - Configuration for an event_base.

SYNOPSIS

#include <event.h>

Detailed Description

Configuration for an event_base. There are many options that can be used to alter the behavior and implementation of an event_base. To avoid having to pass them all in a complex many-argument constructor, we provide an abstract data type wrhere you set up configation information before passing it to event_base_new_with_config().

See also:
    event_config_new(), event_config_free(), event_base_new_with_config(), event_config_avoid_method(), event_config_require_features(), event_config_set_flag(), event_config_set_num_cpus_hint()

Author

Generated automatically by Doxygen for libevent from the source code.